Skip to navigation

Update Adapter

View as Markdown

Path parameters

workspacestringRequired
namestringRequired

Request

This endpoint expects an object.
descriptionstringOptional<=1000 characters
Optional description of the adapter
enabledbooleanOptional
Whether to make this adapter available for inference post training
filesetstringOptionalformat: "^[a-z](?!.*--)[a-z0-9\-@.+_]{1,62}(?<!-)(/[a-z](?!.*--)[a-z0-9\-@.+_]{1,62}(?<!-))?$"2-127 characters

Updated fileset for the adapter. Either a fileset name or ‘workspace/fileset_name’. A bare name is resolved in the request workspace (the platform default workspace is named ‘default’). Each segment is 2-63 characters: lowercase letters, digits, hyphens, and temporarily @ . + _; no consecutive hyphens, and it cannot end with a hyphen.

Response

Update adapter metadata. Updates are applied to the row identified by the adapter’s stored parent (entity parent field).

namestringformat: "^[\w\-.]+$"<=255 characters

Name of the adapter. Name must be unique in the workspace for all Adapters and match the following regex: Allowed characters: letters (a-z, A-Z), digits (0-9), underscores, hyphens, and dots.

workspacestringformat: "^[\w\-.]+$"<=255 characters

Workspace of the adapter. Allowed characters: letters (a-z, A-Z), digits (0-9), underscores, hyphens, and dots.

filesetstring

Fileset where the adapter files are stored. Either a fileset name or ‘workspace/fileset_name’. A bare name is resolved in the request workspace (the platform default workspace is named ‘default’). Each segment is 2-63 characters: lowercase letters, digits, hyphens, and temporarily @ . + _; no consecutive hyphens, and it cannot end with a hyphen.

finetuning_typeenum

Type of finetuning (LORA, P_TUNING, etc.)

descriptionstringOptional<=1000 characters
Optional description of the adapter
enabledbooleanOptionalDefaults to true
Whether to make this adapter available for inference post training
lora_configobjectOptional
Lora configuration specifics
modelstringOptional<=127 characters

Parent model entity reference. A single name (2-63 characters) or ‘workspace/model_name’ where each segment is a valid name (lowercase, digits, hyphens, and temporarily @ . + _; no leading/trailing or consecutive hyphens). If one slash, both sides must be non-empty.

created_atdatetimeOptional
updated_atdatetimeOptional

Errors

422
Unprocessable Entity Error